Bug 473407 - Every invocation of "svk" generates the same warning.
Every invocation of "svk" generates the same warning.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-SVK (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Ian Burrell
Fedora Extras Quality Assurance
: Reopened
Depends On: 480503
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 06:06 EST by Robert P. J. Day
Modified: 2009-12-18 01:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2008-11-28 06:06:42 EST
$ rpm -q perl-SVK
perl-SVK-2.0.2-3.fc9.noarch
$ rpm -q swig
swig-1.3.33-2.fc9.i386
$

  Every invocation of "svk" generates the warning:

Name "swig_runtime_data::type_pointer3" used only once: possible typo at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/DynaLoader.pm line 226.

The command still runs but the warning gets a bit tiring after a while.

P.S.  Based on the error, it's possible this is a SWIG issue instead.
Comment 1 Stepan Kasal 2008-11-28 13:42:08 EST
According to the following link, this is a bug in swig, which got fixed in 1.3.35.

http://thread.gmane.org/gmane.comp.programming.swig.devel/17870
http://sourceforge.net/tracker2/index.php?func=detail&aid=1904537&group_id=1645&atid=101645

So the problem will be fixed as soon as perl-SVK is rebuilt against the new swig (in Fedora 10 and rawhide).
Comment 2 Derek Atkins 2009-01-14 10:25:37 EST
Unfortunately this is still a problem in Fedora 10...  And indeed the FC10 release still ships perl-SVK-2.0.2-3.fc9.noarch
Comment 3 Ian Burrell 2009-01-16 18:32:40 EST
Rebuilding perl-SVK in Fedora 10, or upgrading to newest release of SVK does not fix the warnings.  SVK is noarch and does not use swig directly.  It uses the subversion-perl bindings.  The latest subversion-perl-1.5.4-3 was built on 2008-10-27 while swig-1.3.35-2.fc10 was built on 2008-05-16 so it presumably was built with the latest swig.
Comment 4 Ian Burrell 2009-01-16 18:43:15 EST
It looks like rebuilding subversion-perl is not going to help.  The problem is that the perl bindings inside subversion-1.5.4 were built with 1.3.31.  In particular, the C files in subversion/bindings/swig/perl/native in the subversion-1.5.4.tar.gz contain old version of the swig-generated C code which was changed in swig 1.3.35.

I am not sure if subversion swig bindings can be rebuilt with newer version of swig.  Or if this needs to be done by subversion packager or upstream.
Comment 5 Derek Atkins 2009-01-16 18:56:47 EST
Should we file a bug against subversion?
Comment 6 Ian Burrell 2009-01-17 17:23:21 EST
I entered #480503 against subversion to have the swig bindings rebuilt with 1.3.35.
Comment 7 Bug Zapper 2009-06-09 23:22:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Derek Atkins 2009-06-10 10:11:34 EDT
This is still an issue in Fedora 10.  I haven't tested Fedora 11.
This isn't my bug so I can't change the version.
Comment 9 Robert P. J. Day 2009-06-10 10:17:10 EDT
It may be worth noting that svk's developer has announced that he will no longer be supporting it.  So all this could be moot.
Comment 10 Derek Atkins 2009-06-10 11:07:49 EDT
While true, I think the problem is more based in the SVN Swig bindings so still appropriate.  However that's probably bug #480503    Still, I think F11 still has SVK so this would still be an issue.  And F10 certainly has SVK and it IS an issue.
Comment 11 Bug Zapper 2009-07-14 12:59:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Derek Atkins 2009-07-14 19:45:52 EDT
As I said in Comment #10, this is still an issue with F10.  I'm not the creator so I cannot change the version.   And apparently I cannot reopen this, either.  :(
Comment 13 Bug Zapper 2009-11-18 04:24:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 01:59:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.